List cohorts
curl --request GET \
--url https://api.reperp.xyz/api/v1/cohorts \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.reperp.xyz/api/v1/cohorts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reperp.xyz/api/v1/cohorts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"platform": "LIGHTER",
"protocol": "<string>",
"asOf": "<string>",
"cohorts": [
{
"key": "<string>",
"title": "<string>",
"range": "<string>",
"gte": 123,
"lt": 123,
"count": 123,
"walletsWithOpen": 123,
"longOiUsd": 123,
"shortOiUsd": 123,
"longPct": 123,
"shortPct": 123,
"sentiment": "<string>",
"sentimentVariant": "<string>"
}
]
}
}{
"status": "error",
"message": "<string>",
"errors": [
{}
]
}{
"error": "Unauthorized"
}{
"error": "Too many requests. Please wait for a moment."
}Market
List cohorts
Wallets grouped by all-time realized PnL after fees, with how many hold positions and their long and short open interest.
GET
/
cohorts
List cohorts
curl --request GET \
--url https://api.reperp.xyz/api/v1/cohorts \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.reperp.xyz/api/v1/cohorts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.reperp.xyz/api/v1/cohorts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"status": "success",
"data": {
"platform": "LIGHTER",
"protocol": "<string>",
"asOf": "<string>",
"cohorts": [
{
"key": "<string>",
"title": "<string>",
"range": "<string>",
"gte": 123,
"lt": 123,
"count": 123,
"walletsWithOpen": 123,
"longOiUsd": 123,
"shortOiUsd": 123,
"longPct": 123,
"shortPct": 123,
"sentiment": "<string>",
"sentimentVariant": "<string>"
}
]
}
}{
"status": "error",
"message": "<string>",
"errors": [
{}
]
}{
"error": "Unauthorized"
}{
"error": "Too many requests. Please wait for a moment."
}Authorizations
Your API key. Keys are issued on request: message @perp_ag on X.
Query Parameters
Venue. See Venues and identifiers.
Available options:
LIGHTER, RHLT, JUPITER, PHOENIX, BULLET, AFTERMATH ⌘I